Skip to main content
GET
List approvals

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the organization of the user UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$

Query Parameters

include
enum<string>[]

Optional properties to include. Expense records optional data can be included by extending the expenseRecords include keyword with the available optional parameters from the List expenses endpoint. E.g. expenseRecords.verification, expenseRecords.meta.abbreviation, expenseRecords.meta.splits etc.

personId
string

The id of the person to filter approvals on UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
max
integer<int>
default:10

max records to return

Required range: 1 <= x <= 1000
offset
integer<int>
default:0

the offset to be used in list

Required range: x >= 0
statuses
enum<string>[]

Comma separated list of statuses to include, to exclude a status use ! before the status

Available options:
APPROVAL,
APPROVED,
BULK_TRANSFER,
DELETED,
ERROR,
NEW,
NORMAL,
ON_HOLD,
PAID,
READY_TO_SEND,
REJECTED,
REVIEW,
SEND,
SENT,
TRANSFER,
TRANSFER_TO_RECIPIENT
expenseReportId
string

The id of the expense report to filter on UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$

Response

200 - application/json

OK

meta
object
data
object[]
Last modified on August 31, 2026